> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verificar citação ou repostagem

> Verifica se um usuário citou ou repostou uma publicação. Retorna `status` com um destes valores: `quoted`, `retweet` ou `not_found`. Se uma citação ou repostagem for encontrada, também retorna a data da interação e o texto da citação, quando aplicável. Identifique o usuário com `username`, `user_link` ou `user_id`.



## OpenAPI

````yaml openapi-pt-BR.json POST /check-quoted
openapi: 3.0.3
info:
  contact: {}
  title: API Sorsa.io
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-quoted:
    post:
      tags:
        - Verificação
      summary: Verificar citação ou repostagem
      description: >-
        Verifica se um usuário citou ou repostou uma publicação. Retorna
        `status` com um destes valores: `quoted`, `retweet` ou `not_found`. Se
        uma citação ou repostagem for encontrada, também retorna a data da
        interação e o texto da citação, quando aplicável. Identifique o usuário
        com `username`, `user_link` ou `user_id`.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verification.CheckQuotedReq'
        description: Link da publicação e link do usuário, username ou user_id.
        required: true
        x-originalParamName: payload
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckQuotedResp'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Requisição inválida
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Não autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Acesso proibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Não encontrado
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Excesso de requisições
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Erro interno do servidor
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckQuotedReq:
      properties:
        tweet_link:
          example: https://twitter.com/TweetScout_io/status/1782368585664626774
          type: string
        user_id:
          example: '44196397'
          type: string
        user_link:
          example: https://twitter.com/elonmusk
          type: string
        username:
          example: elonmusk
          type: string
      type: object
    verification.CheckQuotedResp:
      properties:
        date:
          description: Data da interação (se encontrada).
          example: '2024-04-27 06:43:09'
          type: string
        status:
          description: 'Tipo de interação: `quoted`, `retweet` ou `not_found`.'
          example: quoted
          type: string
        text:
          description: Texto da publicação com citação (se o status for `quoted`).
          example: Quote text
          type: string
        user_protected:
          description: '`true` se a conta do usuário verificado for protegida.'
          example: false
          type: boolean
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````